PHP is one of the most widely used general-purpose server-side programming languages. It is exceptionally popular as it is free software, which can be used to develop interactive websites like community web portals, e-stores or online learning sites rather than static HTML sites. A PHP module should be present on the web server where a PHP site is hosted so that its source code can be ‘deciphered’. Since there are no license fees for such a module and the language offers infinite possibilities for the Internet applications that you create, there are hundreds of millions of PHP-powered sites. What is more, there are a huge number of PHP scripts, which you can use for your sites without needing to possess any coding know-how. Considering the fact that there are a couple of versions of PHP, you should make certain that the same version that you used while developing your website is present on the web server as well.
PHP 4 and PHP 5 Support in Shared Hosting
Our shared hosting servers support several PHP versions, so your websites will run without any problem no matter if your PHP-based scripts are outdated. We realize that an old website doesn’t necessarily equal a vulnerable one as you may have done plenty of mods to its source code. That is why we support PHP 4, 5.2, 5.3, 5.4 and 5.5 and you can pick which version will be active for your web hosting account. The version can be changed with just one single mouse click via your Hepsia hosting Control Panel and the new settings will be applied instantaneously. If you wish to run both older and newer scripts, there’s even a possibility to use a different version of PHP for each of your domains at the same time.
PHP 4 and PHP 5 Support in Semi-dedicated Servers
Even if your websites were created with an earlier version of PHP, you will be able to host them in a semi-dedicated server account from us, as we support different versions running at the same time on our semi-dedicated servers and each one of them can be activated for your account with just one click of the mouse from our custom-created Hepsia hosting Control Panel. Aside from the latest PHP 5.4 and PHP 5.5, we also offer support for 5.2, 5.3 and the older PHP 4, which has already been dropped by the vast majority of web hosting providers, but we maintain that you shouldn’t be compelled to modify a site that took several years to build, as older scripting language syntax does not automatically imply safety gaps. Just the opposite, a well-maintained website using PHP 4 can be more secure than an unmaintained one using PHP 5. For your convenience’s sake, we will also give you the possibility to select a different version for each individual website within the account.